## icheck 0.9.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
-all: CType/Native.pm
+all: CType/Native.pm parser-perlxs
 
 clean:
 	rm -f typegen.c typegen CType/Native.pm
+	-$(MAKE) -C ext/CParse-Parser-PerlXS clean
+	rm -f ext/CParse-Parser-PerlXS/Makefile.old
 
 prefix=/usr
 DESTDIR=
@@ -182,11 +184,12 @@
 		mkdir -p `dirname "$(DESTDIR)$(prefix)/lib/icheck/perl5/$$i"`; \
 		cp $$i "$(DESTDIR)$(prefix)/lib/icheck/perl5/$$i"; \
 	done
+	$(MAKE) -C ext/CParse-Parser-PerlXS install
 
 test:
 	./test.pl t
 
-gen_tests:
+gen-tests:
 	./make_tests.pl t
 
 typegen.c: typegen.pl
@@ -199,3 +202,7 @@
 CType/Native.pm: typegen
 	./typegen > CType/Native.pm.new
 	mv CType/Native.pm.new CType/Native.pm
+
+parser-perlxs:
+	(cd ext/CParse-Parser-PerlXS && perl Makefile.PL INSTALLSITELIB=$(DESTDIR)$(prefix)/share/icheck/perl5/ INSTALLSITEARCH=$(DESTDIR)$(prefix)/lib/icheck/perl5 OPTIMIZE="-O2 -Wall -g")
+	$(MAKE) -C ext/CParse-Parser-PerlXS
