=== debian/changelog ===
icheck (0.9.7-9) unstable; urgency=medium

  * QA upload
  * Add perl-xs-dev to Build-Depends (Closes: #1102859)
  * d/rules: shorter dh
  * Standards-Version: 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Nov 2025 11:35:35 +0100

icheck (0.9.7-8) unstable; urgency=medium

  * QA upload
  * Maintain package on Salsa in Debian team
  * d/rules: short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add missing ${misc:Depends} to Depends for icheck.
  * d/copyright: DEP5
  * Add fake watch file

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jan 2025 10:31:55 +0100

icheck (0.9.7-7) unstable; urgency=medium

  * Orphan package. After 15 years of NMU maintenance, it is time
    to make it official.
  * Remove need for root when building the package. (Closes: #1089345)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 12:54:46 +0000

icheck (0.9.7-6.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing patch to suppress test case 04's diff. (Closes: #1038936)

 -- Bastian Germann <bage@debian.org>  Fri, 23 Jun 2023 16:02:35 +0200

icheck (0.9.7-6.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 (quilt) source format.

 -- Bastian Germann <bage@debian.org>  Mon, 12 Jun 2023 14:22:25 +0200

icheck (0.9.7-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999090).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 20:15:09 -0300

icheck (0.9.7-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.24: Assuming NOT a POSIX class since there is
    no terminating ':' in regex": fix class in CParse::String.
    (Closes: #825013)
  * Fix "Removal of debhelper compat 4": use debhelper 9 in
    debian/{control,compat}.
    (Closes: #817497)

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Jun 2016 23:43:42 +0200

icheck (0.9.7-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with compilers that default to C99 (clang
    and GCC 5).  Thanks to Tim Potter for the patch.  Closes: #777910

 -- Martin Michlmayr <tbm@hp.com>  Thu, 16 Jul 2015 10:25:07 -0400

icheck (0.9.7-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add correct Perl dependencies. Closes: #488159.

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 22 Jul 2008 21:16:19 +0200

icheck (0.9.7-6) unstable; urgency=low

  * New maintainer upload. Closes: #352431.

 -- Erinn Clark <erinn@double-helix.org>  Sun, 02 Apr 2006 17:38:26 -0400

icheck (0.9.7-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#352431); set maintainer to Debian QA Group.
  * Makefile: Run MakeMaker with INSTALLDIRS=vendor to get rid of
    .packlist files.  Closes: #356256.
  * debian/icheck.dirs: Let the Makefiles create directories.
  * debian/rules: Use dh_shlibdeps.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 23 Mar 2006 11:23:05 +0100

icheck (0.9.7-4) unstable; urgency=low

  * Fix stupid makefile

 -- Andrew Suffield <asuffield@debian.org>  Mon, 10 Oct 2005 04:05:18 +0100

icheck (0.9.7-3) unstable; urgency=low

  * Upload the version *with* the fix applied. Not the one without it. I
    am sacrificing a kitten just to make sure.

 -- Andrew Suffield <asuffield@debian.org>  Mon, 15 Aug 2005 19:57:52 +0100

icheck (0.9.7-2) unstable; urgency=low

  * Kill off the pesky test for alignment difference output, it's just not
    going to work.

 -- Andrew Suffield <asuffield@debian.org>  Mon, 15 Aug 2005 17:29:57 +0100

icheck (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Andrew Suffield <asuffield@debian.org>  Mon,  1 Aug 2005 18:28:17 +0100

icheck (0.9.6-1) unstable; urgency=low

  * New upstream release
     - Generate alignment attributes in even more arch-indep form
       (closes: #318710, again)

 -- Andrew Suffield <asuffield@debian.org>  Mon,  1 Aug 2005 01:54:55 +0100

icheck (0.9.5-1) unstable; urgency=low

  * New upstream release
     - Generate alignment attributes in arch-indep form (closes: #318710)

 -- Andrew Suffield <asuffield@debian.org>  Sun, 31 Jul 2005 18:48:26 +0100

icheck (0.9.4-1) unstable; urgency=low

  * New upstream release
     - Include manpage

 -- Andrew Suffield <asuffield@debian.org>  Wed,  6 Jul 2005 19:48:39 +0100

icheck (0.9.3-1) unstable; urgency=low

  * New upstream release
     - Handles characters treated as integer values (closes: #308162)
     - Includes support for baseline files
  * On target for etch (closes: #306078)

 -- Andrew Suffield <asuffield@debian.org>  Sun,  3 Jul 2005 21:28:06 +0100

icheck (0.9.2-1) unstable; urgency=low

  * New upstream release
     - Handles some more obscure C and gcc stuff
     - enums work properly now

 -- Andrew Suffield <asuffield@debian.org>  Fri, 25 Mar 2005 17:42:57 +0000

icheck (0.9.1-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Suffield <asuffield@debian.org>  Sun, 20 Mar 2005 06:01:53 +0000
