=== debian/control ===
Source: icheck
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtext-diff-perl,
 perl-xs-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/icheck.git
Vcs-Browser: https://salsa.debian.org/debian/icheck

Package: icheck
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: C interface ABI/API checker
 A tool for statically checking C interfaces for API and ABI
 changes. All changes to type declarations that can cause ABI changes
 should be detected, along with most API changes.
 .
 icheck is intended for use with libraries, as a method of preventing
 ABI drift.
