=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_perl:
	dh_perl usr/share/icheck/perl5 usr/lib/icheck/perl5
